
module transmission(hauteur, diametre0, diametre1, diametre2){
     difference(){
          cylinder(h=hauteur, r=diametre0/2);
          translate([0,0,-1]){
               difference (){
                    cylinder(h=hauteur-12.35+1, r=diametre0/2+1);
                    cylinder(h=hauteur-12.35+1, r=diametre1/2);
               };
               difference (){
                    cylinder(h=hauteur-18.85+1, r=diametre1/2+1);
                    cylinder(h=hauteur-18.85+1, r=diametre2/2);
               };
               cylinder(h=13+1, r=2);
          };
          translate([0,0,hauteur+1-18]){
               cylinder(h=18, r=5.6/2);
          };
          translate([0,0,17.1/2+1+hauteur-17.1])
               {
                    cube([9.6,3.1,17.1+1],center=true);
                    cube([3.1,9.6,17.1+1],center=true);
               }
     }
}

$fn=100;

transmission(
     hauteur=31.65,
     diametre0=14,
     diametre1=13,
     diametre2=10.5
     );

/* base (hauteur=31, diam=34, */
/*     diam2 = 20.8, diam3 = 22.5, */
/*     decoupe = 16.9, hcube = 10, */
/*     halesage=4, dalesage=8, */
/*     dvis = 4, largeurcroix = 0.7 */
/* ); */

// translate([diam,0,0])
//cylinder(h,diam);
